<?php namespace Escapework\Manager\Banners;

use Illuminate\Support\ServiceProvider;

class EscapeWorkManagerBannersServiceProvider extends ServiceProvider
{

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

	/**
	 * Bootstrap the application events.
	 *
	 * @return void
	 */
	public function boot()
	{
		
	}

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
        $this->package('escapework/manager-banners', 'manager-banners', realpath(__DIR__ . '/../../../'));

        require __DIR__ . '/../../../routes.php';
	}

	/**
	 * Get the services provided by the provider.
	 *
	 * @return array
	 */
	public function provides()
	{
		return array();
	}

}